=== debian/changelog ===
nexuiz-data (2.5.2-11) unstable; urgency=medium

  * Standards-Version: 4.5.0 (no changes required)
  * Use https for Homepage
  * d/rules: Don't pass -mx=9 to 7za when building with noopt.
    Selecting maximum compression is analogous to selecting aggressive
    compiler optimizations: it produces better binaries, but takes a
    disproportionately long time. For local test-builds it's a lot quicker
    to produce larger binaries with minimal compression: 7za -mx=1 provides
    pk3 files around 10% larger than -mx=9, but is much, much faster.
  * There was no 2.5.2-10 due to a mistake when tagging the release.

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Aug 2020 12:42:45 +0100

nexuiz-data (2.5.2-9) unstable; urgency=medium

  * Change Vcs-* to point to salsa.debian.org
  * Standards-Version: 4.1.4 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Apr 2018 09:15:18 +0100

nexuiz-data (2.5.2-7) unstable; urgency=low

  [ Anton Balashov ]
  * Rebuild with a dpkg that defaults to xz compression (Closes: #647621).
  * Change versioned Conflicts to versioned Breaks.
  * Update to standards version 3.9.4. No changes were necessary.
  * Added the watch file.
  * Fix link on GPL-2 in copyright file

  [ Simon McVittie ]
  * Add Multi-Arch: foreign to all the binary packages
  * debian/patches/reproducible_build.diff:
    Apply patch from Reiner Herrmann for locale-independent sorting
    (Closes: #808652)
  * Add DEP-3 patch metadata
  * Put-parentheses-around-array-member-dereferences.patch:
    Add patch to avoid weird precedence in fteqcc (Closes: #668349)
  * Update Homepage to match src:nexuiz
  * Update Vcs-* fields
  * Add debian/gbp.conf, using DEP-3 branch names
  * Add myself to Uploaders
  * Wrap and sort control files
  * Update to standards version 4.1.3 (no further changes)
  * Move to debhelper compat level 11
  * Disable pristine-tar. The delta is almost as large as the upstream
    tarball for this package, so it doesn't seem useful.

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Jan 2018 11:11:02 +0000

nexuiz-data (2.5.2-6) unstable; urgency=low

  * Team upload.
  * Make the engine start in windowed mode by default.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 29 Jun 2011 15:34:29 +0200

nexuiz-data (2.5.2-5) unstable; urgency=low

  [ Evgeni Golov ]
  * Remove Gerfried Fuchs from Uploaders as per own request.

  [ Bruno "Fuddl" Kleinert ]
  * Team upload
  * Update to standards version 3.9.2. No changes were necessary.
  * Switch to debhelper 8
    * Build-depend on debhelper >= 8
    * Rework debian/rules file

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 31 May 2011 15:22:10 +0200

nexuiz-data (2.5.2-4) unstable; urgency=low

  * Update to standards version 3.9.1 without changes
  * Use UTF-8 copyright sign in copyright file as required by the Debian policy
  * Remove deprecated description how the sources were obtained from upstream.
    The description is documented by get-nexuiz-data-orig.sh
  * Correct download and homepage URLs in copyright and control files
  * Install example perl and shell scripts for server administration
  * Build-depend on debhelper >= 7, we need it for dh_prep. Thanks to lintian!

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Sat, 31 Jul 2010 16:37:22 -0400

nexuiz-data (2.5.2-3) unstable; urgency=low

  * Convert to debian format 3.0 quilt
    * Drop build dependency on quilt
    * Purge quilt calls from rules file
  * Correct URLs in Vcs-* fields in the control file, since I moved this package
    into Git
  * Ship textures in the binary package nexuiz-textures. This reduces the size
    of nexuiz-data, it's possible to put Nexuiz on CD-ROMs again and we can
    (Closes: #557218)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 20 Nov 2009 19:58:30 +0100

nexuiz-data (2.5.2-2) unstable; urgency=low

  * Add get-nexuiz-data-orig.sh to fetch sources from upstream Subversion
    repository, clean it and build an .orig.tar.gz
  * Lower the Recommends on nexuiz or nexuiz-server to a Suggets. Thanks Rhonda
    for pointing this out!

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 06 Nov 2009 13:02:39 +0100

nexuiz-data (2.5.2-1) unstable; urgency=low

  [ Gerfried Fuchs ]
  * Also clean qcsrc/menu/fteqcc.log and qcsrc/server/fteqcc.log.

  [ Bruno "Fuddl" Kleinert ]
  * Update copyright year to 2009 in debian/copyright
  * Update to standards version 3.8.3. No changes were necessary
  * Drop patch 01_fix-broken-mouse-in-pro.diff because upstream dropped the
    "pro" mode
  * Refreshed 01_remove_broken_keys.diff, but disable it at the moment, since we
    touch a file that is md5 check-summed. TODO: We need to find a workaround or
    a proper solution for this.
  * Refresh 02_disable_update_check.diff. Upstream added a variable to turn off
    searching for new release, so we can simply disable it in defaultNexuiz.cfg.
    BUT this patch isn't applied at the moment, bceause of the md5 checksumming
  * Bump build dependency of fteqcc to at least version 3343+svn3400
  * Also clean qcsrc/client/fteqcc.log
  * Update my email address in Uploaders field
  * Add ${misc:Depends} as dependency to nexuiz-data and nexuiz-music. Thanks to
    lintian! ;)
  * Replace build dependency of zip by p7zip-full. Upstream uses it in its
    Makefile.
  * Add 04_exclude_music_in_datapk3.diff. It makes the upstream Makefile exclude
    the music files to be excluded from the big data.pk3 ZIP-archive.
  * Add patches/05_disable_development_warning.diff to make nexuiz not complain
    about being a development snapshot. This is necessary because we fetch
    sources from the upstream Subversion repository.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 20 Oct 2009 19:46:24 +0200

nexuiz-data (2.4.2-2) unstable; urgency=low

  * Added myself to Uploaders.
  * New patch disable_update_check to stop nagging users about the new
    upstream version (closes: #522738)
  * Update to Standards-Version 3.8.2:

