=== debian/control ===
Source: nexuiz-data
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Bruno "Fuddl" Kleinert <fuddl@debian.org>,
 Gonéri Le Bouder <goneri@rulezlan.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper (>= 11),
 fteqcc (>= 3343+svn3400),
Build-Depends-Indep:
 p7zip-full,
Standards-Version: 4.5.0
Homepage: https://www.alientrap.org/games/nexuiz/
Vcs-Git: https://salsa.debian.org/games-team/nexuiz-data.git
Vcs-Browser: https://salsa.debian.org/games-team/nexuiz-data

Package: nexuiz-data
Architecture: all
Multi-Arch: foreign
Depends:
 nexuiz-textures (= ${source:Version}),
 ${misc:Depends},
Breaks:
 nexuiz (<< ${source:Upstream-Version}),
 nexuiz-server (<< ${source:Upstream-Version}),
Suggests:
 nexuiz (>= ${source:Upstream-Version}) | nexuiz-server (>= ${source:Upstream-Version}),
 nexuiz-music (>= ${source:Upstream-Version}),
Description: Nexuiz game data files
 Nexuiz is a 3d deathmatch game made entirely over the internet. The purpose of
 the game is to bring deathmatch back to the basics, with perfect weapon
 balancing and fast paced action, keeping itself away from the current trend of
 realistic shooters.
 .
 This package contains only data files like levels and sounds. If you want to
 play the game you need to install the package "nexuiz".

Package: nexuiz-music
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 nexuiz (>= ${source:Upstream-Version}),
Description: Nexuiz music files
 Nexuiz is a 3d deathmatch game made entirely over the internet. The purpose of
 the game is to bring deathmatch back to the basics, with perfect weapon
 balancing and fast paced action, keeping itself away from the current trend of
 realistic shooters.
 .
 This package contains only the in-game music files. If you want to play the
 game you need to install the package "nexuiz".

Package: nexuiz-textures
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 nexuiz (>= ${source:Upstream-Version}),
Description: Textures for Nexuiz
 Nexuiz is a 3d deathmatch game made entirely over the internet. The purpose of
 the game is to bring deathmatch back to the basics, with perfect weapon
 balancing and fast paced action, keeping itself away from the current trend of
 realistic shooters.
 .
 This package contains only the textures for maps, models and so on. If you want
 to play the game you need to install the package "nexuiz".
